<h1>Je vais compter jusqu'à
    <%= compteur %>
</h1>

<p>
    <%
    for(var i = 1 ; i <= compteur ; i++) {
    %>

        <%= i %>...

            <% } %>
</p>

<p>Tant que j'y suis, je prends un nom au hasard qu'on m'a envoyé :
    <%= noms[Math.round(Math.random() * (noms.length - 1))] %>
</p>